Bug 801798 - SELinux is preventing NetworkManager from 'getattr' accesses on the file /etc/sysctl.conf.
SELinux is preventing NetworkManager from 'getattr' accesses on the file /etc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ec3fa7bfe055cd2c5b802764d20...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 09:32 EST by Vadim
Modified: 2012-03-29 02:47 EDT (History)
6 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-104.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 14:54:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadim 2012-03-09 09:32:45 EST
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-0.rc6.git0.2.fc17.i686
reason:         SELinux is preventing NetworkManager from 'getattr' accesses on the file /etc/sysctl.conf.
time:           Fri 09 Mar 2012 08:31:39 PM YEKT

description:
:SELinux is preventing NetworkManager from 'getattr' accesses on the file /etc/sysctl.conf.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that NetworkManager should be allowed getattr access on the sysctl.conf file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep NetworkManager /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:NetworkManager_t:s0
:Target Context                system_u:object_r:system_conf_t:s0
:Target Objects                /etc/sysctl.conf [ file ]
:Source                        NetworkManager
:Source Path                   NetworkManager
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           initscripts-9.34-3.fc17.i686
:Policy RPM                    selinux-policy-3.10.0-95.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-0.rc6.git0.2.fc17.i686 #1 SMP
:                              Mon Mar 5 17:10:27 UTC 2012 i686 i686
:Alert Count                   2
:First Seen                    Fri 09 Mar 2012 06:59:07 PM YEKT
:Last Seen                     Fri 09 Mar 2012 07:44:48 PM YEKT
:Local ID                      4b203cb2-f5fe-4891-b322-a5ab976edb35
:
:Raw Audit Messages
:type=AVC msg=audit(1331300688.340:17): avc:  denied  { getattr } for  pid=441 comm="NetworkManager" path="/etc/sysctl.conf" dev="sda3" ino=160526 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:system_conf_t:s0 tclass=file
:
:
:Hash: NetworkManager,NetworkManager_t,system_conf_t,file,getattr
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-03-09 10:07:01 EST
Fixed in selinux-policy-3.10.0-97.fc17.noarch
Comment 2 Fedora Update System 2012-03-19 13:55:52 EDT
selinux-policy-3.10.0-103.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-103.fc17
Comment 3 Fedora Update System 2012-03-20 02:08:56 EDT
Package selinux-policy-3.10.0-104.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-104.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4248/selinux-policy-3.10.0-104.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-21 14:54:47 EDT
selinux-policy-3.10.0-104.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Dario Castellarin 2012-03-28 15:22:28 EDT
This fix should be made available on F16 too, as they're updating NetworkManager to 0.9.4 there too.
Comment 6 Miroslav Grepl 2012-03-29 02:47:00 EDT
Added. Thank you.

Note You need to log in before you can comment on or make changes to this bug.